.controller
{
	background-color:#cccccc;
	overflow:hidden;
	position: relative;
}
.controller-legend {

 margin:40px 0px 0px 40px;

}

.controller-legend td .pin {

margin-right:5px;
margin-bottom:2px;
}

.controller-legend td span {
display:block;
margin-top:5px;
float:left;
}

.controller_name
{
	font-size: 30px;
	color: #555555;
	position: absolute;
	text-align: center;
	width: 100%;
	top: 42%;
}

.pin_text {
   	height: 200px;
	width:23px;
	float:left;
	border: 1px solid #FFFFFF;
	font-size: 10px;
	writing-mode: tb-rl;     
}

.pin
{
	height: 23px;
	width:23px;
	float:left;
	border: 1px solid #888888;
}

.pin_valid { background-color:#666666; }
.pin_used { border: 1px solid #aaaaaa; }

.digital_input { background-color: #CCE995; }
.digital_input_used { background-color: #66FF66; }

.relay { background-color:#95CBE9; }
.relay_used { background-color:#4EB9F3; }

.dimmer { background-color:#FFCC99; }
.dimmer_used { background-color:#FF9966; }

.analog_input { background-color:#83bebf; }
.analog_input_used { background-color:#2fd7d9; }

.analog_output { background-color:#A3E4D7; }
.analog_output_used { background-color:#1ABC9C; }

.digital_output { background-color:#8b5f8f; }
.digital_output_used { background-color:#c718d7; }

.onewire { background-color: #FFCC66; }
.onewire_used { background-color: #FF9900; }


.ground { background-color: #303030; }
.ground_used { background-color: #303030; }

.V220, .V220_used{ background-color: #FF3333; }
.V5, .V5_used{ background-color: #A80000; }
.led, .led_used { background-color: #FFFFCC; }
.other, .other_used{ background-color: #aaaaaa; }

.empty { background-color: #cccccc; border: 1px solid #cccccc; }

